Skip to main content
`Ctrl`+`K`

# PetscStrrstr

Locates last occurrence of string in another string

## Synopsis

    static inline PetscErrorCode PetscStrrstr(const char a[], const char b[], char *tmp[])

Not Collective, No Fortran Support

## Input Parameters

- a - pointer to string

- b - string to find

## Output Parameter

- tmp - location of occurrence

## See Also

`PetscStrbeginswithwhich()`, `PetscStrendswith()`, `PetscStrtoupper`, `PetscStrtolower()`, `PetscStrrchr()`, `PetscStrchr()`, `PetscStrncmp()`, `PetscStrlen()`, `PetscStrcmp()`

## Level

intermediate

## Location

include/petscstring.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages